using Datory.Annotations;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 流程状态类型
    /// </summary>
    [JsonConverter(typeof(StringEnumConverter))]
    public enum FlowState
    {
        [DataEnum(DisplayName = "上会")]
        Meeting,
        [DataEnum(DisplayName = " 待定")]
        Wait,

        [DataEnum(DisplayName = "同意")]
        Checked,

        [DataEnum(DisplayName = "驳回")]
        Denied,

        [DataEnum(DisplayName = "审批中")]
        Checking
    }
}